Bug 1688274 - redhat-support-tool automatic sosreport collection stopped working on rhel-8
Summary: redhat-support-tool automatic sosreport collection stopped working on rhel-8
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: redhat-support-tool
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 8.0
Assignee: A.P. Rajshekhar
QA Contact: Miroslav Hradílek
Abhimanyu Jamaiyar
URL:
Whiteboard:
Depends On: 1680690
Blocks: 1699673 1706735
TreeView+ depends on / blocked
 
Reported: 2019-03-13 12:30 UTC by Miroslav Hradílek
Modified: 2020-04-24 12:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
.`redhat-support-tool` now creates an `sosreport` archive Previously, the `redhat-support-tool` utility was unable to create an `sosreport` archive. The workaround was running the `sosreport` command separately and then entering the `redhat-support-tool addattachment -c` command to upload the archive. Users can also use the web UI on Customer Portal which creates the customer case and uploads the `sosreport` archive. In addition, command options such as `findkerneldebugs`, `btextract`, `analyze`, or `diagnose` do not work as expected and will be fixed in a future release.
Clone Of:
: 1706735 (view as bug list)
Environment:
Last Closed: 2020-04-24 12:00:38 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
RST log after the fail. (10.14 KB, text/plain)
2019-03-13 12:30 UTC, Miroslav Hradílek
no flags Details

Description Miroslav Hradílek 2019-03-13 12:30:47 UTC
Created attachment 1543611 [details]
RST log after the fail.

Description of problem:
When opening case via RST there is option to automatically attach sosreport. It does not work on RHEL8. Log says TypeError: a bytes-like object is required, not 'str'.

Version-Release number of selected component (if applicable):
sos-3.6-10.el8.noarch
redhat-support-tool-0.10.1-1.el8.noarch
redhat-support-lib-python-0.10.1-1.el8.noarch

How reproducible:
100%

Steps to Reproduce:

# cat .redhat-support-tool/redhat-support-tool.conf
[RHHelp]
url = https://api.access.qa.redhat.com
user = qa@redhat.com
password = *******

# redhat-support-tool 
Welcome to the Red Hat Support Tool.
Command (? for help): opencase
Do you want to use the default product - "Red Hat Enterprise Linux" (y/N)?:y
 1   4 - ELP                                                                    
 2   5 - ELS                                                                    
 3   5.1                                                                        
 4   5.10                                                                       
 5   5.2                                                                        
 6   5.3                                                                        
 7   5.4                                                                        
 8   5.5                                                                        
 9   5.6                                                                        
 10  5.7                                                                        
 11  5.8                                                                        
 12  5.9                                                                        
 13  6.0                                                                        
 14  6.1                                                                        
 15  6.10                                                                       
 16  6.2                                                                        
 17  6.3                                                                        
 18  6.4                                                                        
 19  6.5                                                                        
 20  6.6                                                                        
 21  6.7                                                                        
 22  6.8                                                                        
 23  6.9                                                                        
 24  7.0                                                                        
 25  7.1                                                                        
 26  7.2                                                                        
 27  7.3                                                                        
 28  7.4                                                                        
 29  7.5                                                                        
 30  7.6                                                                        
 31  8.0 Beta                                                                   
Please select a version (or 'q' to exit): 31
Please enter a summary (or 'q' to exit): Test sosreport upload
Please enter a description (Ctrl-D on an empty line when complete):
Tests that sosreport is uploaded.
 1   Urgent                                                                     
 2   High                                                                       
 3   Normal                                                                     
 4   Low                                                                        
Please select a severity (or 'q' to exit): 3
Would you like to use the default (test) Case Group (y/N)? :y
Would you like to see if there's a solution to this problem before opening a support case? (y/N) n
-------------------------------------------------------------------------------
Support case 02319940 has successfully been opened.

Would you like Red Hat Support Tool to automatically generate and
attach a SoS report to 02319940 now? (y/N) y
Unable to create case.
Command (? for help): q

# tail .redhat-support-tool/logs/red_hat_support_tool.log 
2019-03-13 08:10:04,060 - redhat-support-tool.rhhelp - Level 31 - Loading plugin listkerneldebugs
2019-03-13 08:10:04,060 - redhat-support-tool.rhhelp - Level 31 - Loading plugin rmkerneldebug
2019-03-13 08:13:03,833 - redhat_support_tool.plugins.add_case - WARNING - Unable to create case.
2019-03-13 08:13:03,833 - redhat_support_tool.helpers.launchhelper - ERROR - a bytes-like object is required, not 'str'
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/redhat_support_tool/helpers/launchhelper.py", line 106, in run
    return cls.non_interactive_action()
  File "/usr/lib/python3.6/site-packages/redhat_support_tool/plugins/open_case.py", line 500, in non_interactive_action
    output = p.communicate()[0].split('\n')
TypeError: a bytes-like object is required, not 'str'


Additional info:
Sos could be collected outside of RST.

Comment 18 Abhimanyu Jamaiyar 2019-10-01 15:07:19 UTC
Hi Rajshekhar,

Please review the doc text content and provide your feedback.

Regards,
Abhimanyu Jamaiyar


Note You need to log in before you can comment on or make changes to this bug.